<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="java.sql.*"%>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.sql.DriverManager" %>
<%@ page import="java.sql.PreparedStatement" %>
<%@ page import="java.sql.ResultSet" %>
<%@ page session="true" %>

<% request.setCharacterEncoding("utf-8");%>
<%
	String id = request.getParameter("id");
	String pwd = request.getParameter("pwd");
	String str="";
	
	try{
		Class.forName("oracle.jdbc.driver.OracleDriver");
		Connection conn=DriverManager.getConnection("jdbc:oracle:thin:@168.126.146.45:1521:orcl","20172304","981116");
		PreparedStatement pstmt=conn.prepareStatement("select * from o_member");
	    ResultSet rs= pstmt.executeQuery();
	    
	    while(rs.next()){
	    	if (id.equals(rs.getString("id")) && pwd.equals(rs.getString( "password"))) {
	          	
	    		session.setAttribute("id",id);
	    		session.setAttribute("pwd",pwd);
	    		response.sendRedirect("main.jsp");
	    	} else {
	    		str=" 실패했습니다";
	    	}}}catch(Exception e){
	    		e.printStackTrace();
	    	}
%>
<html>
<head>
<title>레코드 추가</title>
</head>
<body>
  <%=str %>  <p>
     
</body>
</html>